<?php
/**
 * The header for our theme 
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php if ( function_exists( 'wp_body_open' ) ) {
	  wp_body_open(); 
	} else { 
	  do_action( 'wp_body_open' ); 
	} ?>
	<?php if(get_theme_mod('safha_one_page_loader_setting',true)){ ?>
	    <div id="pre-loader">
			<div class='demo'>
				<?php $safha_one_page_theme_lay = get_theme_mod( 'safha_one_page_preloader_types','Default');
					if($safha_one_page_theme_lay == 'Default'){ ?>
						<div class='circle'>
							<div class='inner'></div>
						</div>
						<div class='circle'>
							<div class='inner'></div>
						</div>
						<div class='circle'>
							<div class='inner'></div>
						</div>
					<?php }elseif($safha_one_page_theme_lay == 'Circle'){ ?>
						<div class='circle'>
							<div class='inner'></div>
						</div>
					<?php }elseif($safha_one_page_theme_lay == 'Two Circle'){ ?>
						<div class='circle'>
							<div class='inner'></div>
						</div>
						<div class='circle'>
							<div class='inner'></div>
						</div>
				<?php } ?>
			</div>
	    </div>
	<?php }?>
	<a class="screen-reader-text skip-link" href="#main"><?php esc_html_e( 'Skip to content', 'safha-one-page' ); ?></a>
	<div id="page" class="site">
		<?php 
		if( get_theme_mod('safha_one_page_show_hide_topbar',false) != '' || get_theme_mod('safha_one_page_enable_disable_topbar',false) != ''){
			if( get_theme_mod( 'safha_one_page_email_address','' ) != ''|| get_theme_mod( 'safha_one_page_time','' ) != '' || get_theme_mod( 'safha_one_page_facebook_url','' ) != ''|| get_theme_mod( 'safha_one_page_twitter_url','' ) != '' || get_theme_mod( 'safha_one_page_youtube_url','' ) != '' || get_theme_mod( 'safha_one_page_linkedin_url','' ) != '') { ?>
				<div class="topbar">
					<div class="container">
						<div class="row">
							<div class="col-lg-11 offset-lg-1 col-md-12">
								<div class="row">
									<div class="col-lg-3 col-md-6">
							            <?php if( get_theme_mod( 'safha_one_page_email_address','' ) != '') { ?>
							                <a class="email" href="mailto:<?php echo esc_attr( get_theme_mod('safha_one_page_email_address','') ); ?>"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('safha_one_page_email_address','') ); ?><span class="screen-reader-text"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('safha_one_page_email_address','') ); ?></span></a>
							            <?php } ?>
							        </div>
									<div class="col-lg-4 col-md-6">
										<?php if( get_theme_mod( 'safha_one_page_time','' ) != '') { ?>
							                <span class="time"><i class="far fa-clock" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('safha_one_page_time','' )); ?></span>
							            <?php } ?>
									</div>
									<div class="col-lg-3 col-md-6">
										<div class="social-icon">
											<?php if( get_theme_mod( 'safha_one_page_facebook_url') != '') { ?>
											    <a href="<?php echo esc_url( get_theme_mod( 'safha_one_page_facebook_url','' ) ); ?>"><i class="fab fa-facebook-f" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_html_e( 'Facebook','safha-one-page' );?></span></a>
											<?php } ?>
											<?php if( get_theme_mod( 'safha_one_page_twitter_url') != '') { ?>
											    <a href="<?php echo esc_url( get_theme_mod( 'safha_one_page_twitter_url','' ) ); ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php esc_html_e( 'Twitter','safha-one-page' );?></span></a>
											<?php } ?>
											<?php if( get_theme_mod( 'safha_one_page_youtube_url') != '') { ?>
											    <a href="<?php echo esc_url( get_theme_mod( 'safha_one_page_youtube_url','' ) ); ?>"><i class="fab fa-youtube"></i><span class="screen-reader-text"><?php esc_html_e( 'Youtube','safha-one-page' );?></span></a>
											<?php } ?>
											<?php if( get_theme_mod( 'safha_one_page_linkedin_url') != '') { ?>
											    <a href="<?php echo esc_url( get_theme_mod( 'safha_one_page_linkedin_url','' ) ); ?>"><i class="fab fa-linkedin-in"></i><span class="screen-reader-text"><?php esc_html_e( 'Linkedin','safha-one-page' );?></span></a>
											<?php } ?>
										</div>
									</div>
									<div class="col-lg-2 col-md-6">
										<?php if( get_theme_mod( 'safha_one_page_contact_number','' ) != '') { ?>
							                <a class="call" href="tel:<?php echo esc_attr( get_theme_mod('safha_one_page_contact_number','' )); ?>"><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('safha_one_page_contact_number','' )); ?><span class="screen-reader-text"><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('safha_one_page_contact_number','' )); ?></span></a>
							            <?php } ?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			<?php }
		}?>
		<header id="masthead" class="site-header" role="banner">
			<div class="main-header">
				<div class="container">
					<div class="row">
						<div class="col-lg-3 col-md-4">
							<div class="<?php if(has_custom_logo()) { ?>logo-img"<?php } else { ?>logo-text"<?php } ?>">
								<?php if ( has_custom_logo() ) : ?>
				              		<div class="site-logo"><?php the_custom_logo(); ?></div>
					            <?php endif; ?>
				              	<?php $blog_info = get_bloginfo( 'name' ); ?>
				              		<?php if ( ! empty( $blog_info ) ) : ?>
					              	<?php if( get_theme_mod('safha_one_page_show_site_title',true) != ''){ ?>
						                <?php if ( is_front_page() && is_home() ) : ?>
					                  		<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
						                <?php else : ?>
					                  		<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
						                <?php endif; ?>
						            <?php }?>
				              		<?php endif; ?>
			              		<?php
					              $description = get_bloginfo( 'description', 'display' );
					              if ( $description || is_customize_preview() ) :
					                ?>
					                <?php if( get_theme_mod('safha_one_page_show_tagline',true) != ''){ ?>
						              <p class="site-description">
						                <?php echo esc_html($description); ?>
						              </p>
					            	<?php }?>
					          	<?php endif; ?>
					        </div>
						</div>
						<div class="col-lg-9 col-md-8 <?php if( get_theme_mod( 'safha_one_page_fixed_header', false) != '') { ?> sticky-header"<?php } else { ?>close-sticky <?php } ?>">
							<?php if ( has_nav_menu( 'top' ) ) : ?>
								<div class="navigation-top">
									<?php get_template_part( 'template-parts/navigation/navigation', 'top' ); ?>
								</div>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		</header>

	<div class="site-content-contain">
		<div id="content">